#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2200six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 2200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six22004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six22004xi = {
                1:'-1016x880y-1740z',
                2:'-1041x1782y-760z',
                3:'-1047x815y-1754z',
                4:'-1070x1780y-724z',
                5:'-1074x749y-1767z',
                6:'-1097x683y-1780z',
                7:'-109x865y-2019z',
                8:'-1107x36y-1900z',
                9:'-1115x616y-1793z',
                10:'-1123x96y-1889z',
                11:'-1129x1719y-780z',
                12:'-1130x549y-1805z',
                13:'-1135x157y-1877z',
                14:'-1140x482y-1818z',
                15:'-1143x220y-1866z',
                16:'-1147x415y-1830z',
                17:'-1148x284y-1854z',
                18:'-1149x349y-1842z',
                19:'-1158x1715y-745z',
                20:'-1212x1651y-801z',
                21:'-1242x1646y-765z',
                22:'-1292x1579y-821z',
                23:'-1321x1573y-786z',
                24:'-1367x1503y-842z',
                25:'-1388x1706y-6z',
                26:'-1396x1496y-806z',
                27:'-1438x1423y-862z',
                28:'-1467x1415y-827z',
                29:'-1475x1631y-28z',
                30:'-1504x1340y-882z',
                31:'-151x839y-2028z',
                32:'-1532x1331y-847z',
                33:'-1558x1551y-50z',
                34:'-1565x1254y-902z',
                35:'-1593x1243y-867z',
                36:'-1621x1165y-922z',
                37:'-1637x1467y-72z',
                38:'-1649x1153y-888z',
                39:'-1672x1073y-942z',
                40:'-1699x1060y-908z',
                41:'-1711x1379y-94z',
                42:'-1718x980y-962z',
                43:'-1745x966y-928z',
                44:'-1758x884y-982z',
                45:'-1780x1287y-116z',
                46:'-1793x787y-1001z',
                47:'-1822x688y-1021z',
                48:'-1844x1191y-138z',
                49:'-1846x589y-1040z',
                50:'-1864x489y-1060z',
                51:'-1865x908y-991z',
                52:'-1877x388y-1079z',
                53:'-1881x88y-1136z',
                54:'-1884x288y-1098z',
                55:'-1885x188y-1117z',
                56:'-1902x1092y-160z',
                57:'-190x810y-2036z',
                58:'-194x1562y-1536z',
                59:'-1955x991y-182z',
                60:'-2003x886y-204z',
                61:'-2044x779y-225z',
                62:'-2080x670y-247z',
                63:'-2110x560y-269z',
                64:'-2133x448y-291z',
                65:'-2151x335y-313z',
                66:'-2162x222y-335z',
                67:'-2168x108y-356z',
                68:'-226x779y-2044z',
                69:'-232x2105y-592z',
                70:'-260x747y-2052z',
                71:'-273x1535y-1551z',
                72:'-291x713y-2060z',
                73:'-302x9y-2179z',
                74:'-319x678y-2068z',
                75:'-323x26y-2175z',
                76:'-341x2084y-613z',
                77:'-342x46y-2172z',
                78:'-345x642y-2075z',
                79:'-349x1503y-1567z',
                80:'-361x68y-2169z',
                81:'-367x606y-2082z',
                82:'-369x2090y-577z',
                83:'-378x92y-2165z',
                84:'-386x568y-2089z',
                85:'-393x118y-2161z',
                86:'-403x530y-2096z',
                87:'-407x146y-2157z',
                88:'-417x493y-2103z',
                89:'-418x175y-2152z',
                90:'-423x1468y-1582z',
                91:'-428x206y-2147z',
                92:'-428x455y-2109z',
                93:'-435x239y-2143z',
                94:'-435x417y-2115z',
                95:'-440x273y-2137z',
                96:'-441x380y-2121z',
                97:'-443x307y-2132z',
                98:'-443x343y-2127z',
                99:'-448x2058y-635z',
                100:'-477x2062y-598z',
                101:'-494x1429y-1597z',
                102:'-554x2025y-656z',
                103:'-562x1386y-1612z',
                104:'-582x2028y-619z',
                105:'-627x1340y-1627z',
                106:'-657x1987y-676z',
                107:'-65x890y-2010z',
                108:'-686x1989y-640z',
                109:'-689x1291y-1642z',
                110:'-747x1239y-1657z',
                111:'-757x1943y-697z',
                112:'-786x1944y-661z',
                113:'-801x1184y-1671z',
                114:'-852x1127y-1685z',
                115:'-855x1895y-718z',
                116:'-884x1894y-682z',
                117:'-899x1068y-1699z',
                118:'-942x1007y-1713z',
                119:'-950x1841y-739z',
                120:'-979x1839y-703z',
                121:'-981x944y-1727z'}


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire2200six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire2200six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2200SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2200SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2200SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2200SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2200SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six22004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2200SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2200SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2200SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six2200x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six2200x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2200SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE2200SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2200SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2200six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
